/*!\file utils.c
 *
 * \brief fonctions utiles pouvant être ammenée a être récupérées
 */

#include "utils.h"

/*!\brief vérifie l'existance d'un fichier régulier
 * 
 * \return -1 si le fichier n'existe pas
 *          0 si le fichier existe mais n'est pas régulier (répertoire par exemple)
 *          1 si le fichier existe et est régulier
 */
int file_exist(char *name)
	{
	struct stat s;
	return (stat(name,&s)==-1) ? -1 : S_ISREG(s.st_mode) ;
	}

/*!\brief vérifie l'existance d'un répertoire
 * 
 * \return -1 si le répertoire n'existe pas
 *          0 si le répertoire existe mais n'est pas régulier (répertoire par exemple)
 *          1 si le répertoire existe et est régulier
 */
int path_exist(char *path)
	{
	struct stat s;
	return (stat(path,&s)==-1) ? -1 : S_ISDIR(s.st_mode) ;
	}


